Skip to content

Get the current user

GET
/user
curl --request GET \
--url https://api.ltesocks.io/v2/user \
--header 'Authorization: Bearer <token>'

Returns the account associated with the bearer token, including preferences and account status.

Successful operation

Media typeapplication/json
object
login

User login

string
email

User email address

string format: email
balance

User balance in cents (100$ = 10000)

integer
portsCount

Total ports number

integer
portsLimit

Maximum allowed ports number

integer
discountPercent

User discount in percentage

integer
preferences
object
vpnServer

Default server hostname to connect via OpenVPN

string format: host
proxyServer

Default server hostname to connect via proxy

string format: host
proxyProtocol

Default proxy protocol

string
Allowed values: http https socks5
Example
{
"login": "user",
"email": "user@example.com",
"balance": 10000,
"portsCount": 3,
"portsLimit": 10,
"discountPercent": 10,
"preferences": {
"vpnServer": "vpn1.ltesocks.io",
"proxyServer": "ap1.ltesocks.io",
"proxyProtocol": "http"
}
}

The bearer token is missing, invalid, or no longer active.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

The configured request limit has been exceeded.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}